Bug 122646 - security/sguil-sensor, port upgrade, new version
security/sguil-sensor, port upgrade, new version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: araujo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 04:50 UTC by pauls
Modified: 2008-05-03 14:30 UTC (History)
0 users

See Also:


Attachments
patch-Makefile (3.63 KB, text/plain)
2008-04-11 04:50 UTC, pauls
no flags Details
patch-pkg-descr (956 bytes, text/plain)
2008-04-11 04:50 UTC, pauls
no flags Details
patch-files-log_packets.conf (508 bytes, text/plain)
2008-04-11 04:50 UTC, pauls
no flags Details
example_agent.sh.in (808 bytes, text/plain)
2008-04-11 04:50 UTC, pauls
no flags Details
pcap_agent.sh.in (756 bytes, text/plain)
2008-04-11 04:50 UTC, pauls
no flags Details
snort_agent.sh.in (782 bytes, text/plain)
2008-04-11 04:50 UTC, pauls
no flags Details
patch-sguil-sensor (12.19 KB, application/octet-stream)
2008-04-28 06:44 UTC, pauls
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2008-04-11 04:50:04 UTC
	This PR upgrades the port to version 0.7.0.  Committer: Please note
	there are three sguil ports; server, sensor and client.  All three
	must be committed at the same time.  In addition, the security/barnyard-sguil6
	port must be repocopied to security/barnyard-sguil for this port to function.
	Please ensure that all four changes occur at the same time.

	There are two files in the existing port that should be removed;
	files/patch-sensor_agent.tcl and files/sensoragent.sh.in.  Neither file is needed
	in the new port.

Fix: --- distinfo.orig	2006-10-09 14:04:38.000000000 -0500
+++ distinfo	2008-04-10 21:07:04.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (sguil-sensor-0.6.1.tar.gz) = 62be71b0aa41ccacb7872839dc4bf5ad
-SHA256 (sguil-sensor-0.6.1.tar.gz) = b1da0fffeaecd69b9d8eeeb27025fdc3493a2eabfec8ed4153f688f11ee226eb
-SIZE (sguil-sensor-0.6.1.tar.gz) = 103441
+MD5 (sguil-sensor-0.7.0.tar.gz) = 911b3571fdaa00b7ddde3ec818232b3f
+SHA256 (sguil-sensor-0.7.0.tar.gz) = c6f08b031df9de942fc38b35a4bfc7db13357e61b7290b526bad66fcbe3e4f3b
+SIZE (sguil-sensor-0.7.0.tar.gz) = 68436
--- patch-distinfo ends here ---

--- pkg-plist.orig	2006-10-09 14:04:38.000000000 -0500
+++ pkg-plist	2008-04-10 21:07:04.000000000 -0500
@@ -1,6 +1,15 @@
 bin/%%SGUILDIR%%/log_packets.sh
-bin/%%SGUILDIR%%/sensor_agent.tcl
-etc/log_packets.conf-sample
+bin/%%SGUILDIR%%/example_agent.tcl
+bin/%%SGUILDIR%%/pcap_agent.tcl
+bin/%%SGUILDIR%%/snort_agent.tcl
+etc/%%SGUILDIR%%/example_agent.conf-sample
+etc/%%SGUILDIR%%/pcap_agent.conf-sample
+etc/%%SGUILDIR%%/snort_agent.conf-sample
+etc/%%SGUILDIR%%/log_packets.conf-sample
+%%USEPADS%%bin/%%SGUILDIR%%/pads_agent.tcl
+%%USEPADS%%etc/%%SGUILDIR%%/pads_agent.conf-sample
 %%USESANCP%%etc/sancp.conf-sample
-etc/sensor_agent.conf-sample
+%%USESANCP%%bin/%%SGUILDIR%%/sancp_agent.tcl
+%%USESANCP%%etc/%%SGUILDIR%%/sancp_agent.conf-sample
 @dirrm bin/%%SGUILDIR%%
+@dirrmtry etc/%%SGUILDIR%%
--- patch-pkg-plist ends here ---

--- files/patch-log_packets.sh.orig	2006-10-09 14:04:38.000000000 -0500
+++ files/patch-log_packets.sh	2008-04-10 21:07:04.000000000 -0500
@@ -1,12 +1,13 @@
---- sensor/log_packets.sh.orig	Fri Mar 24 13:12:18 2006
-+++ sensor/log_packets.sh	Mon Mar 27 17:22:54 2006
-@@ -23,37 +23,16 @@
+--- sensor/log_packets.sh.orig	2008-04-03 22:16:22.000000000 -0500
++++ sensor/log_packets.sh	2008-04-03 22:22:20.000000000 -0500
+@@ -22,38 +22,16 @@
+ #                                                            #
  ##############################################################
  
- 
--# Edit these for your setup
 +# You shouldn't need to edit anything in this script
  
+-# Edit these for your setup
+-
 -# Sensors hostname.
 -# Note: If running multiple snort instances, then this must be different
 -#       for each instance (ie sensor1, sensor2, sensor-eth0, sensor-eth1, etc)
@@ -36,7 +37,7 @@
 -#Some installs may need these
 -#LD_LIBRARY_PATH=/usr/local/lib/mysql
 -#export LD_LIBRARY_PATH
-+CONF=/usr/local/etc/log_packets.conf
++CONF=/usr/local/etc/sguil-sensor/log_packets.conf
 +if [ -r ${CONF} ]; then
 +  . ${CONF}
 +else
--- patch-files-patch-log_packets.sh ends here ---

#!/bin/sh

# $FreeBSD$

# PROVIDE: pads_agent
# REQUIRE: DAEMON
# KEYWORD: shutdown

# Add the following line to /etc/sguil-sensor/rc.conf to enable pads_agent:
# pads_agent_enable (bool):	Set to YES to enable pads_agent
# 				Default: NO
# pads_agent_conf (str):	Sensor_agent configuration file
#				Default: %%PREFIX%%/etc/%%SGUILDIR%%/pads_agent.conf
#

. %%RC_SUBR%%

name="pads_agent"
rcvar=`set_rcvar`
command="%%PREFIX%%/bin/%%SGUILDIR%%/pads_agent.tcl"
procname="%%PREFIX%%/bin/tclsh8.4"
pidfile="/var/run/${name}.pid"
check_pidfile="${pidfile} ${procname} /bin/sh"

[ -z "$pads_agent_enable" ]    && pads_agent_enable="NO"
[ -z "$pads_agent_conf" ]      && pads_agent_conf="%%PREFIX%%/etc/%%SGUILDIR%%/pads_agent.conf"

load_rc_config $name
run_rc_command "$1"
--- pads_agent.sh.in ends here ---

#!/bin/sh

# $FreeBSD$

# PROVIDE: sancp_agent
# REQUIRE: DAEMON
# KEYWORD: shutdown

# Add the following line to /etc/sguil-sensor/rc.conf to enable sancp_agent:
# sancp_agent_enable (bool):	Set to YES to enable sancp_agent
# 				Default: NO
# sancp_agent_conf (str):	Sensor_agent configuration file
#				Default: %%PREFIX%%/etc/%%SGUILDIR%%/sancp_agent.conf
#

. %%RC_SUBR%%

name="sancp_agent"
rcvar=`set_rcvar`
command="%%PREFIX%%/bin/%%SGUILDIR%%/sancp_agent.tcl"
procname="%%PREFIX%%/bin/tclsh8.4"
pidfile="/var/run/${name}.pid"
check_pidfile="${pidfile} ${procname} /bin/sh"

[ -z "$sancp_agent_enable" ]    && sancp_agent_enable="NO"
[ -z "$sancp_agent_conf" ]      && sancp_agent_conf="%%PREFIX%%/etc/%%SGUILDIR%%/sancp_agent.conf"

load_rc_config $name
run_rc_command "$1"
--- sancp_agent.sh.in ends here ---
Comment 1 araujo freebsd_committer 2008-04-11 12:51:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 araujo freebsd_committer 2008-04-27 16:37:23 UTC
State Changed
From-To: open->feedback

This patch is malformed impossible to apply this.  You should re-work 
this patch and send again.  If you have some doubts how make this, 
please see this URL. 
http://sce-tindy.tecnik93.com/FreeBSD/How-to-submit-a-diff.txt
Comment 3 pauls 2008-04-28 06:44:32 UTC
--On April 27, 2008 3:37:29 PM +0000 araujo@FreeBSD.org wrote:

> Synopsis: security/sguil-sensor, port upgrade, new version
>
> State-Changed-From-To: open->feedback
> State-Changed-By: araujo
> State-Changed-When: Sun Apr 27 15:37:23 UTC 2008
> State-Changed-Why:
> This patch is malformed impossible to apply this.  You should re-work
> this patch and send again.  If you have some doubts how make this,
> please see this URL.
> http://sce-tindy.tecnik93.com/FreeBSD/How-to-submit-a-diff.txt
>
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=122646

A single patch for the entire port is attached.

Paul Schmehl (pauls@utdallas.edu)
Senior Information Security Analyst
The University of Texas at Dallas
http://www.utdallas.edu/ir/security/
Comment 4 dfilter freebsd_committer 2008-05-03 14:22:21 UTC
araujo      2008-05-03 13:22:16 UTC

  FreeBSD ports repository

  Modified files:
    security/sguil-client Makefile distinfo pkg-descr 
    security/sguil-client/files patch-sguil.conf patch-sguil.tk 
    security/sguil-server Makefile distinfo pkg-plist 
    security/sguil-server/files patch-sguild patch-sguild.access 
                                patch-sguild.conf pkg-message.in 
                                sguild.sh.in 
    security/sguil-sensor Makefile distinfo pkg-descr pkg-plist 
    security/sguil-sensor/files log_packets.conf 
                                patch-log_packets.sh 
                                pkg-message.in 
  Log:
  - Update to 0.7.0.
  
  PR:             ports/122645, ports/122646, ports/122647
  Submitted by:   Paul Schmehl <pauls@utdallas.edu> (maintainer)
  
  Revision  Changes    Path
  1.5       +7 -11     ports/security/sguil-client/Makefile
  1.2       +3 -3      ports/security/sguil-client/distinfo
  1.2       +18 -13    ports/security/sguil-client/files/patch-sguil.conf
  1.2       +25 -8     ports/security/sguil-client/files/patch-sguil.tk
  1.2       +4 -4      ports/security/sguil-client/pkg-descr
  1.5       +49 -16    ports/security/sguil-sensor/Makefile
  1.2       +3 -3      ports/security/sguil-sensor/distinfo
  1.2       +5 -0      ports/security/sguil-sensor/files/log_packets.conf
  1.2       +7 -6      ports/security/sguil-sensor/files/patch-log_packets.sh
  1.2       +4 -4      ports/security/sguil-sensor/files/pkg-message.in
  1.2       +6 -5      ports/security/sguil-sensor/pkg-descr
  1.2       +12 -3     ports/security/sguil-sensor/pkg-plist
  1.5       +31 -16    ports/security/sguil-server/Makefile
  1.2       +3 -3      ports/security/sguil-server/distinfo
  1.2       +16 -16    ports/security/sguil-server/files/patch-sguild
  1.2       +3 -3      ports/security/sguil-server/files/patch-sguild.access
  1.2       +28 -41    ports/security/sguil-server/files/patch-sguild.conf
  1.2       +16 -2     ports/security/sguil-server/files/pkg-message.in
  1.4       +5 -4      ports/security/sguil-server/files/sguild.sh.in
  1.2       +8 -2      ports/security/sguil-server/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 araujo freebsd_committer 2008-05-03 14:23:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!